hpixml(1)

NAME
hpxml - An openhpi sample application that displays system view in XML.

SYNOPSIS
 hpixml [-D nn] [-s] [-i -t ] [-N host[:port]] [-C=file] [-h]
 hpixml [--domain=nn] [--xsd] [--indent --text ] [--host=host[:port]] [--cfgfile=file] [--help]

DESCRIPTION
hpixml displays system view in XML.

If no domain or host is selected, hpixml uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-i, --indent
    Use indentation

-t, --text
    Use enum and flag text names instead of raw values

-s, --xsd
    Show XML schema

-D nn, --domain=nn
    Select domain id nn

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpigensimdata  hpireset       hpitop
         hpidomain      hpiinv         hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpiwdt
         hpifan         hpipower       hpithres
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Anton Pak (anton.pak@pigeonpoint.com)
 Ulrich Kleber (ulikleber@users.sourceforge.net)